
QGIS Application - Bug report #9091

Field calculator toolbar item disabled in edit mode

2013-11-19 06:23 AM - Noone Noone

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17736

Description

The Field calculator button in toolbar is disabled when switching in editmode of a vector layer. You need to go Attribute table -> field

calculator.

History

#1 - 2013-11-19 06:39 AM - Filipe Dias

What do you suggest?

Personally, I think it would be nice if clicking on the toolbar's Field Calculator activated the "editing mode" and opened the Field Calculator Panel.

#2 - 2013-11-19 07:16 AM - Noone Noone

The button needs to follow the same states as the button at the attribute table (consistency).  

Enabling edit-mode can be done, but then the use of keeping this write-lock might be questionable?

#3 - 2013-11-19 08:31 AM - Jürgen Fischer

apparently master is not affected, but it's reproducable on 2.0.1

#4 - 2013-11-19 09:29 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Status changed from Open to Feedback

Jürgen Fischer wrote:

apparently master is not affected, but it's reproducable on 2.0.1

then closing as usual in this cases?

#5 - 2014-01-11 06:26 AM - Salvatore Larosa

This should happen (in 2.0.1) only for point layer, with line and polygon layer should be working.
I had fixed this issue in commit:e6154cf4c8dc170ef6e7e7830ff27781a5e0be5a

#6 - 2014-01-11 11:11 AM - Noone Noone

Thanks Salvatore :)

#7 - 2014-03-24 07:17 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Should be fixed. Reopen if necessary.
